NAMESPACE="did"  # 你可以在这里修改namespace

# 使用 sed 命令修改 YAML 文件中的 namespace
sed -i "s/namespace: .*/namespace: $NAMESPACE/g" ./did-kms-deployment.yaml
kubectl apply -f ./did-kms-deployment.yaml -n $NAMESPACE

sed -i "s/namespace: .*/namespace: $NAMESPACE/g" ./did-mgr-holder-service-deployment.yaml
kubectl apply -f ./did-mgr-holder-service-deployment.yaml -n $NAMESPACE

sed -i "s/namespace: .*/namespace: $NAMESPACE/g" ./did-mgr-issuer-service-deployment.yaml
kubectl apply -f ./did-mgr-issuer-service-deployment.yaml -n $NAMESPACE

sed -i "s/namespace: .*/namespace: $NAMESPACE/g" ./did-mgr-common-service-deployment.yaml
kubectl apply -f ./did-mgr-common-service-deployment.yaml -n $NAMESPACE

sed -i "s/namespace: .*/namespace: $NAMESPACE/g" ./did-mgr-front.yaml
kubectl apply -f ./did-mgr-front.yaml -n $NAMESPACE

echo "did-管理台部署完成:"
kubectl get pods -o wide -A -n $NAMESPACE | grep did

echo "请访问网站 http://{NodeIP}:30888 进行后续操作"
